Subject: Re: Cygwin LDAP's pthreads
From: Jason Tishler <[email-masked]>
To: Edward Khoo <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 18 Oct 2001 12:30:48 -0400

Edward,

In the future, please post to [email-masked] instead of sending
private email, so others can benefit too.

On Thu, Oct 18, 2001 at 03:34:21PM +0800, Edward Khoo wrote:
> I saw your Nov 2000 posting on cygwin.com 
> (http://www.cygwin.com/ml/cygwin/2000-11/msg00755.html) on using Gnu pth 
> to aid OpenLDAP. I successful installed pth1.4.0, how do I get openldap 
> to 'see & use' pth?
> 
> Thank you in advance for your time and appreciate any help you can extend.

The above mentioned URL is dated information.  Since then, Cygwin
pthreads support has been greatly improved -- thanks to Rob Collins.
Also, OpenLDAP 2.0.11 builds OOTB at least for the clients and libraries
with only a minor make install caveat.  See attached for my build recipe
(clients and libraries only).

My suggestion is to try to build the entire package including the servers
and see what happens.  Please report back your findings to the list.

Thanks,
Jason

Subject: Cygwin OpenLDAP 2.0.11 Build Instructions
From: Jason Tishler <[email-masked]>
To: Jason Tishler <[email-masked]>
Date: Mon, 18 Jun 2001 17:31:51 -0400

1. LIBS='-lregex' configure --without-threads --disable-ldbm --enable-ldap --enable-passwd --enable-shell

2. make depend

3. make

4. ln -s in.xfingerd clients/finger/in.xfingerd.exe

5. make DESTDIR=/tmp/openldap install

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/